apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    traefik.ingress.kubernetes.io/router.middlewares: kube-system-redirect-https@kubernetescrd
  labels:
    app: recorder
  name: recorder
  namespace: owntracks
spec:
  rules:
    - host: owntracks.tobru.ch
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: owntracks
                port:
                  number: 8080
  tls:
    - hosts:
        - owntracks.tobru.ch
      secretName: owntracks-tobru-ch-cert
